Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004619OCaml-OCaml generalpublic2008-10-04 11:042016-12-07 19:58
ReporterYoric 
Assigned Tooctachron 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.10.2 
Target VersionFixed in Version4.01.0 
Summary0004619: Provide a objinfo library
DescriptionAt the moment, objinfo is provided solely as an executable. It would be interesting to have a version of objinfo as a OCaml library. This could be helpful to write IDEs and other code-manipulation tools.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016806)
octachron (developer)
2016-12-07 19:56

The objinfo tool is mostly made up of glue code between modules that are part of the compiler-libs, which are available since OCaml 4.01. A higher-level library for IDE integration is certainly possible, but it can be provided outside of the compiler distribution.

- Issue History
Date Modified Username Field Change
2008-10-04 11:04 Yoric New Issue
2008-10-08 13:20 doligez Status new => acknowledged
2016-12-07 19:56 octachron Note Added: 0016806
2016-12-07 19:58 octachron Status acknowledged => resolved
2016-12-07 19:58 octachron Fixed in Version => 4.01.0
2016-12-07 19:58 octachron Resolution open => fixed
2016-12-07 19:58 octachron Assigned To => octachron
2017-02-23 16:36 doligez Category OCaml general => -OCaml general


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker